/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     fade.h

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/
#ifndef FADE_H_ 
#define FADE_H_

#include <nitro.h>

#ifdef __cplusplus
extern "C" {
#endif

// Definition of macro constants
#define MASTER_BRIGHTNESS_BLACK    -16

// Declaration of functions
extern void FadeIn(void);
extern s8 FadeOut(void);
extern s8 GetBrightness(void);

#ifdef __cplusplus
}/* extern "C" */
#endif

#endif // FADE_H_

