/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     read_key.c

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/

#include "read_key.h"

KeyWork keyWork;    /* Variable for key input determination */

void ReadKey(void)
{
    u16 readData = PAD_Read();
    keyWork.trigger = (u16) (readData & (readData ^ keyWork.press));
    keyWork.press = readData;
}
