/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     read_key.h

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/
#ifndef YOSHI_KEY_H_
#define YOSHI_KEY_H_
#include <nitro.h>

#ifdef __cplusplus
extern "C" {
#endif

typedef struct KeyWork
{
    u16 trigger;
    u16 press;
} KeyWork;

extern KeyWork keyWork;
void ReadKey(void);

#define IS_TRIG(key)  (keyWork.trigger & key)
#define IS_PRESS(key) (keyWork.press & key)

#ifdef __cplusplus
}/* extern "C" */
#endif

#endif /* YOSHI_KEY_H_ */
