/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     vram_map.h

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/
#ifndef YOSHI_VRAM_MAP_H_ 
#define YOSHI_VRAM_MAP_H_

// Scene:Title
#define VRAM_MAP_TEX_TITLE          0x00000300  // (8KB)
#define VRAM_MAP_TEXPLTT_TITLE      0x00000000

// Scene:Stage00
#define VRAM_MAP_TEX_YOSHI          0x00000000  // (1536B)
#define VRAM_MAP_TEX_HEIHO_RED      0x00000600  // (32KB)
#define VRAM_MAP_TEX_SMOKE          0x00008600  // (1KB)
#define VRAM_MAP_TEX_PIPE           0x00008A00  // (1KB)
#define VRAM_MAP_TEX_STAR           0x00008E00  // (512B)
#define VRAM_MAP_TEX_KILLER         0x00009000  // (1KB)
#define VRAM_MAP_TEX_TITLE_MINI     0x00009400  // (2KB)

#define VRAM_MAP_TEXPLTT_BASIC      0x00000000
#define VRAM_MAP_TEXPLTT_YOSHI      0x00000000
#define VRAM_MAP_TEXPLTT_SMOKE      0x00000000
#define VRAM_MAP_TEXPLTT_HEIHO_RED  0x00000000
#define VRAM_MAP_TEXPLTT_PIPE       0x00000200
#define VRAM_MAP_TEXPLTT_STAR       0x00000000
#define VRAM_MAP_TEXPLTT_KILLER     0x00000400
#define VRAM_MAP_TEXPLTT_TITLE_MINI 0x00000000

#endif // YOSHI_VRAM_MAP_H_

