/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     enemy_data.c

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/

#include <nitro.h>
#include "enemy.h"

ObjData objDataHeihoRed;
ObjData objDataKiller;

const NitroCharacterData fileHeihoRed =
{
    NULL,
    "data/HEIHO_RED.NCBR",
    "data/HEIHO_RED.NCER",
    "data/HEIHO_RED.NANR",
    "data/BASIC.NCLR"
};

const NitroCharacterData fileKiller =
{
    NULL,
    "data/KILLER.NCBR",
    NULL,
    NULL,
    "data/KILLER.NCLR"
};

NNSG2dImageAttr TexAttrKiller = 
{ 
    GX_TEXSIZE_S32,         // GXTexSizeS
    GX_TEXSIZE_T32,         // GXTexSizeT
    GX_TEXFMT_PLTT256,      // GXTextFmt
    FALSE,                  // bExtendedPlt
    GX_TEXPLTTCOLOR0_TRNS,  // plttUse
    GX_OBJVRAMMODE_CHAR_2D  // mappingType
};
