/*---------------------------------------------------------------------------*
  Project:  G2D Program Sample
  File:     killer_init.c

  Copyright 2004 Nintendo.  All rights reserved.

  These coded instructions, statements, and computer programs contain
  proprietary information of Nintendo of America Inc. and/or Nintendo
  Company Ltd., and are protected by Federal copyright law.  They may
  not be disclosed to third parties or copied or duplicated in any form,
  in whole or in part, without the prior written consent of Nintendo.

  $Log: $
  $NoKeywords: $
 *---------------------------------------------------------------------------*/

#include "task_control.h"
#include "utility.h"
#include "enemy.h"
#include "yoshi.h"

/*---------------------------------------------------------------------------*
  Name:         Killer_Init

  Description:  Performs the initialization process before executing [Killer].
                        
  Arguments:    None
                
  Returns:      None
 *---------------------------------------------------------------------------*/

void Killer_Init(void)
{
    EnemyTask* pSelfTask = (EnemyTask *)TaskCtrl_GetCurrentTask();  
    pSelfTask->hitpoint = 1;

    pSelfTask->common.func = Killer;    // Change task to [Killer]
}

